## theoradec

theoradec — decode raw theora streams to raw YUV video

## Synopsis

                        GstTheoraDec;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTheoraDec

## Properties

      "crop"                     gboolean              : Read / Write

## Description

This element decodes theora streams into raw video Theora is a royalty-free video codec maintained by the Xiph.org Foundation, based on the VP3 codec.

### Example pipeline

    1

    gst-launch -v filesrc location=videotestsrc.ogg ! oggdemux ! theoradec ! xvimagesink

This example pipeline will decode an ogg stream and decodes the theora video. Refer to the theoraenc example to create the ogg file.

Last reviewed on 2006-03-01 (0.10.4)

## Details

### GstTheoraDec

    typedef struct _GstTheoraDec GstTheoraDec;

Opaque object data structure.

## Property Details

### The `"crop"` property

      "crop"                     gboolean              : Read / Write

Crop the image to the visible region.

Default value: TRUE

## See Also

theoraenc, oggdemux